This project includes redux + saga + router + axios already configured.

It works basically getting the weather from a public api from https://openweathermap.org/,
First you need to type the city that you want the weather for,
then click on the search button so that it will search in the api for the results,
after this the weather for the next 5 days in that city will be shown in the project,

As a plus, I get the weather icons directly from the same Api, so they are the
'official' icons for each case (http://openweathermap.org/img/w/10d.png as example)

I used Styled Components for styling

Libraries used in this project

* Redux - https://github.com/reduxjs/redux
* Redux Saga - https://github.com/redux-saga/redux-saga
* React Redux - https://github.com/reduxjs/react-redux
* React Router - https://github.com/ReactTraining/react-router
* Axios - https://github.com/axios/axios
* Styled Components - https://github.com/styled-components/styled-components

To run the project:
- First run yarn install or npm install to install all the dependencies
- Then run yarn start or npm start to start the project in the port 3000
